%global source_name libwnck

Summary: Window Navigator Construction Kit
Name: libwnck3
Version: 43.0
Release: 6%{?dist}
License: LGPLv2+
URL: http://download.gnome.org/sources/%{source_name}/
Source0: http://download.gnome.org/sources/%{source_name}/40/%{source_name}-%{version}.tar.xz
Patch3000: libwnck_0001-Revert-pager-do-not-change-workspace-size-from-size_.patch
Patch3001: libwnck_0001-Expose-window-scaling-factor_43.patch
Patch3002: libwnck_0002-icons-Use-cairo-surfaces-to-render-icons_43.patch
Patch3003: libwnck_0003-xutils-Change-icons-to-being-cairo-surfaces_43.patch
Patch3004: libwnck_0004-icons-Mark-GdkPixbuf-icons-as-deprecated_43.patch
Patch3005: libwnck_0005-tasklist-Add-surface-loader-function_43.patch
Patch3006: libwnck_0001-Revert-xutils-Get-the-correct-PID-for-clients-inside.patch
Patch3007: libwnck3_handle_avoid_segfault_in_invalidate_icons.patch

BuildRequires: meson gcc
BuildRequires: gettext glib2-devel gtk3-devel gobject-introspection-devel
BuildRequires: libXres-devel pango-devel startup-notification-devel
Requires:      startup-notification

%description
This package can be used to implement pagers, tasklists, and other such things. It allows 
applications to monitor information about open windows, workspaces, their names/icons, and so on.

%package devel
Summary: Libraries and headers for libwnck
Requires: %{name} = %{version}-%{release}

%description devel
This package provides libraries and header files for developing applications that use %{name}.


%prep
%autosetup -n %{source_name}-%{version} -p1


%build
%meson -Dgtk_doc=false
%meson_build


%install
%meson_install

%find_lang %{source_name}-3.0 --with-gnome --all-name


%files -f %{source_name}-3.0.lang
%license COPYING
%doc AUTHORS README NEWS
%{_bindir}/wnck-urgency-monitor
%{_libdir}/%{source_name}-3.so.0*
%{_libdir}/girepository-1.0/Wnck-3.0.typelib

%files devel
%{_bindir}/wnckprop
%{_libdir}/%{source_name}-3.so
%{_libdir}/pkgconfig/*
%{_includedir}/%{source_name}-3.0/
%{_datadir}/gir-1.0/Wnck-3.0.gir


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 23 2022 Wang Guodong <gordonwwang@tencent.com> - 43.0-1
- package init.
